OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TessellationShader

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTessellationShader :: MonadIO m => m Bool
- gl_ARB_tessellation_shader :: Bool
- gl_CCW :: GLenum
- gl_CW :: GLenum
- gl_EQUAL :: GLenum
- gl_FRACTIONAL_EVEN :: GLenum
- gl_FRACTIONAL_ODD :: GLenum
- gl_ISOLINES :: GLenum
- gl_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS :: GLenum
- gl_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS :: GLenum
- gl_MAX_PATCH_VERTICES :: GLenum
- gl_MAX_TESS_CONTROL_INPUT_COMPONENTS :: GLenum
- gl_MAX_TESS_CONTROL_OUTPUT_COMPONENTS :: GLenum
- gl_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS :: GLenum
- gl_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS :: GLenum
- gl_MAX_TESS_CONTROL_UNIFORM_BLOCKS :: GLenum
- gl_MAX_TESS_CONTROL_UNIFORM_COMPONENTS :: GLenum
- gl_MAX_TESS_EVALUATION_INPUT_COMPONENTS :: GLenum
- gl_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS :: GLenum
- gl_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS :: GLenum
- gl_MAX_TESS_EVALUATION_UNIFORM_BLOCKS :: GLenum
- gl_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS :: GLenum
- gl_MAX_TESS_GEN_LEVEL :: GLenum
- gl_MAX_TESS_PATCH_COMPONENTS :: GLenum
- gl_PATCHES :: GLenum
- gl_PATCH_DEFAULT_INNER_LEVEL :: GLenum
- gl_PATCH_DEFAULT_OUTER_LEVEL :: GLenum
- gl_PATCH_VERTICES :: GLenum
- gl_QUADS :: GLenum
- gl_TESS_CONTROL_OUTPUT_VERTICES :: GLenum
- gl_TESS_CONTROL_SHADER :: GLenum
- gl_TESS_EVALUATION_SHADER :: GLenum
- gl_TESS_GEN_MODE :: GLenum
- gl_TESS_GEN_POINT_MODE :: GLenum
- gl_TESS_GEN_SPACING :: GLenum
- gl_TESS_GEN_VERTEX_ORDER :: GLenum
- gl_TRIANGLES :: GLenum
- gl_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER :: GLenum
- gl_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER :: GLenum
- glPatchParameterfv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glPatchParameteri :: MonadIO m => GLenum -> GLint -> m ()

# Extension Support

glGetARBTessellationShader :: MonadIO m => m Bool

Is the ARB_tessellation_shader extension supported?

gl_ARB_tessellation_shader :: Bool

Is the ARB_tessellation_shader extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTessellationShader` in those cases instead.

# Enums

gl_CCW :: GLenum

gl_CW :: GLenum

gl_EQUAL :: GLenum

gl_FRACTIONAL_EVEN :: GLenum

gl_FRACTIONAL_ODD :: GLenum

gl_ISOLINES :: GLenum

gl_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS :: GLenum

gl_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS :: GLenum

gl_MAX_PATCH_VERTICES :: GLenum

gl_MAX_TESS_CONTROL_INPUT_COMPONENTS :: GLenum

gl_MAX_TESS_CONTROL_OUTPUT_COMPONENTS :: GLenum

gl_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS :: GLenum

gl_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS :: GLenum

gl_MAX_TESS_CONTROL_UNIFORM_BLOCKS :: GLenum

gl_MAX_TESS_CONTROL_UNIFORM_COMPONENTS :: GLenum

gl_MAX_TESS_EVALUATION_INPUT_COMPONENTS :: GLenum

gl_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS :: GLenum

gl_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS :: GLenum

gl_MAX_TESS_EVALUATION_UNIFORM_BLOCKS :: GLenum

gl_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS :: GLenum

gl_MAX_TESS_GEN_LEVEL :: GLenum

gl_MAX_TESS_PATCH_COMPONENTS :: GLenum

gl_PATCHES :: GLenum

gl_PATCH_DEFAULT_INNER_LEVEL :: GLenum

gl_PATCH_DEFAULT_OUTER_LEVEL :: GLenum

gl_PATCH_VERTICES :: GLenum

gl_QUADS :: GLenum

gl_TESS_CONTROL_OUTPUT_VERTICES :: GLenum

gl_TESS_CONTROL_SHADER :: GLenum

gl_TESS_EVALUATION_SHADER :: GLenum

gl_TESS_GEN_MODE :: GLenum

gl_TESS_GEN_POINT_MODE :: GLenum

gl_TESS_GEN_SPACING :: GLenum

gl_TESS_GEN_VERTEX_ORDER :: GLenum

gl_TRIANGLES :: GLenum

gl_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER :: GLenum

gl_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER :: GLenum

# Functions

glPatchParameterfv

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> Ptr GLfloat | `values` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glPatchParameteri

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLint | `value`.
-> m () |

Manual page for OpenGL 4.x.